using System;
namespace prvi_zadatak
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int br_stalk = int.Parse(s[0]);
            int per_vis = int.Parse(s[1]);
            int[] z = new int[br_stalk];
            string[] vis = Console.ReadLine().Split();
            for (int i = 0; i < br_stalk; i++)
            {
                z[i] = int.Parse(vis[i]);
            }
            for (int i=0; i<br_stalk; i++)
            {
                if (z[i] <= per_vis)
                {
                    Console.WriteLine(i + 1);
                    return;
                }
            }
            Console.WriteLine(-1);
        }
    }
}